ecoWORKZ

Automating processes in ecoDMS (for business and private users)

ecoWORKZ is based on ecoDMS

  • ecoWORKZ is based on the ecoDMS document management system from version 18.09-3 onwards.
  • You require a license for the full version of ecoDMS version 18.09 (apu) to purchase, install and use ecoWORKZ.
  • For ecoDMS in general, the system requirements for the document management system apply.

Server-Side System Requirements for ecoWORKZ

Using ecoWORKZ requires higher server-side system requirements. If your system environment does not fulfil these requirements, we cannot guarantee a stable and clean application of ecoDMS with licensed ecoWORKZ functionality.
Windows 10 (build 1903 and later)
Windows Server 2012R2, 2016, 2019
LTS Ubuntu 18.04 (Bionic Beaver)
LTS Ubuntu 20.04 (Focal Fossa) - ab ecoDMS Version 18.09-3/1
LTS Debian 9 (Stretch), 10 (Buster)
QNAP & Synology NAS with Docker support (virtualization)
64-bit (Windows distributions)
64-bit (Linux distributions)
min. 2 cores or min. 2 processors (x86/x64) min 8 GB

Please also read the following information for ecoWORKZ:

  • Screen sharing: This function is currently supported exclusively under Windows 10 from build 1903 onwards
  • Chat per web client: Supported browsers are Google Chrome and Microsoft Edge version 83 and later, not supported under macOS
  • Chat per ecoDMS client: The chat is not available in ecoDMS Client under Debian 9.
  • Discuss details about a document: This function is not available for the supported Linux distributions.
  • Language: ecoWORKZ is currently only available for German-language systems.
  • ecoDMS Archives: ecoWORKZ exclusively works with the default ecoDMS Archive.  If your ecoDMS has several archives from earlier ecoDMS versions, ecoWORKZ only considers the default archive.
perm_phone_msg
arrow_upward